summaryrefslogtreecommitdiffstats
path: root/source/l/gtk+3/gtk+3.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2020-02-17 21:32:15 +0000
committer Eric Hameleers <alien@slackware.com>2020-02-18 08:59:48 +0100
commitd8da2d3be01cee6dd09daa56912b02ffe0747b57 (patch)
treec87989ae3b484821a96e1ae8cf2d1f146c6964ea /source/l/gtk+3/gtk+3.SlackBuild
parent8ea9f1e02e85e3cc2b4ccda52639e96651d21653 (diff)
downloadcurrent-d8da2d3be01cee6dd09daa56912b02ffe0747b57.tar.gz
current-d8da2d3be01cee6dd09daa56912b02ffe0747b57.tar.xz
Mon Feb 17 21:32:15 UTC 202020200217213215
a/shadow-4.8.1-x86_64-4.txz: Rebuilt. Recompiled using --with-group-name-max-length=32. Thanks to Bart van der Hall. ap/cups-filters-1.27.1-x86_64-1.txz: Upgraded. d/git-2.25.1-x86_64-1.txz: Upgraded. l/gtk+3-3.24.14-x86_64-1.txz: Upgraded. l/libcap-2.32-x86_64-1.txz: Upgraded. l/python-idna-2.9-x86_64-1.txz: Upgraded. testing/packages/PAM/shadow-4.8.1-x86_64-4_pam.txz: Rebuilt. Recompiled using --with-group-name-max-length=32. Thanks to Bart van der Hall.
Diffstat (limited to 'source/l/gtk+3/gtk+3.SlackBuild')
-rwxr-xr-xsource/l/gtk+3/gtk+3.SlackBuild115
1 files changed, 51 insertions, 64 deletions
diff --git a/source/l/gtk+3/gtk+3.SlackBuild b/source/l/gtk+3/gtk+3.SlackBuild
index 17ce4676e..48654b86f 100755
--- a/source/l/gtk+3/gtk+3.SlackBuild
+++ b/source/l/gtk+3/gtk+3.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2008, 2009, 2010, 2011, 2013, 2018 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2013, 2018, 2020 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=gtk+3
VERSION=${VERSION:-$(echo gtk+-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -77,37 +77,34 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
-# Regenerate ./configure:
-libtoolize --copy --force
-autoreconf -vif
-
-# Autoconf changes linux to linux-gnu.
-# Our host is $ARCH-slackware-linux not $ARCH-slackware-linux-gnu:
-sed -i -e 's#linux|linux-gnu|#linux|linux|#' build-aux/config.sub
-
-CFLAGS="$SLKCFLAGS" \
-./configure \
+# Configure, build, and install:
+export CFLAGS="$SLKCFLAGS"
+export CXXFLAGS="$SLKCFLAGS"
+mkdir meson-build
+cd meson-build
+meson setup \
--prefix=/usr \
- --libdir=/usr/lib${LIBDIRSUFFIX} \
- --sysconfdir=/etc \
+ --libdir=lib${LIBDIRSUFFIX} \
+ --libexecdir=/usr/libexec \
+ --bindir=/usr/bin \
+ --sbindir=/usr/sbin \
+ --includedir=/usr/include \
+ --datadir=/usr/share \
--mandir=/usr/man \
- --enable-xkb \
- --build=$ARCH-slackware-linux || exit 1
-
-# --enable-gtk-doc-html=no \
-
-make $NUMJOBS || make || exit 1
-
-# Check the host value that is passed to the compile to the one in this script:
-host="$ARCH-slackware-linux"
-
-make install \
- RUN_QUERY_IMMODULES_TEST=false RUN_QUERY_LOADER_TEST=false \
- DESTDIR=$PKG \
- || exit 1
-
-# Don't ship .la files:
-rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --buildtype=release \
+ -Dman=true \
+ -Ddemos=true \
+ -Dgtk_doc=true \
+ -Dexamples=false \
+ -Dtests=false \
+ -Dinstalled_tests=false \
+ -Dwayland_backend=false \
+ .. || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
+cd ..
# Don't clobber im-multipress.conf
mv $PKG/etc/gtk-3.0/im-multipress.conf $PKG/etc/gtk-3.0/im-multipress.conf.new
@@ -115,44 +112,34 @@ mv $PKG/etc/gtk-3.0/im-multipress.conf $PKG/etc/gtk-3.0/im-multipress.conf.new
# Install a "starter" gtkrc
echo 'gtk-theme-name="Adwaita"' > $PKG/etc/gtk-3.0/gtkrc.new
-# We need to have separate 32-bit and 64-bit binaries
-# for places where we have two copies of the GTK+ package installed.
-# (we might have x86_64 and i586 packages on the same system, for example.)
-case "$host" in
- s390x*|x86_64*)
- mv $PKG/usr/bin/gtk-query-immodules-3.0{,-64}
- ( cd $PKG/usr/bin
- ln -sf gtk-query-immodules-3.0-64 gtk-query-immodules-3.0
- )
- ;;
- *)
- mv $PKG/usr/bin/gtk-query-immodules-3.0{,-32}
- ( cd $PKG/usr/bin
- ln -sf gtk-query-immodules-3.0-32 gtk-query-immodules-3.0
- )
- ;;
-esac
+# We need to have separate 32-bit and 64-bit binaries for places where we have
+# two copies of the GTK+ package installed (we might have x86_64 and i586
+# packages on the same system, for example.)
+if [ "$LIBDIRSUFFIX" = "64" ]; then
+ mv $PKG/usr/bin/gtk-query-immodules-3.0{,-64}
+ ( cd $PKG/usr/bin
+ ln -sf gtk-query-immodules-3.0-64 gtk-query-immodules-3.0
+ )
+else
+ mv $PKG/usr/bin/gtk-query-immodules-3.0{,-32}
+ ( cd $PKG/usr/bin
+ ln -sf gtk-query-immodules-3.0-32 gtk-query-immodules-3.0
+ )
+fi
# Install wrappers for the binaries:
cp $CWD/update-gtk-immodules-3.0 $PKG/usr/bin/update-gtk-immodules-3.0
chmod 0755 $PKG/usr/bin/update-*
-find $PKG | xargs file | egrep "executable|shared object" | grep "ELF" | \
- cut -d: -f1 | xargs strip --strip-unneeded 2>/dev/null
-
-if [ -d $PKG/usr/man ]; then
- ( cd $PKG/usr/man
- for manpagedir in $(find . -type d -name "man*") ; do
- ( cd $manpagedir
- for eachpage in $( find . -type l -maxdepth 1) ; do
- ln -s $( readlink $eachpage ).gz $eachpage.gz
- rm $eachpage
- done
- gzip -9 *.*
- )
- done
- )
-fi
+# Strip binaries:
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Compress manual pages:
+find $PKG/usr/man -type f -exec gzip -9 {} \+
+for i in $( find $PKG/usr/man -type l ) ; do
+ ln -s $( readlink $i ).gz $i.gz
+ rm $i
+done
# Copy extra documentation into package.
mkdir -p $PKG/usr/doc/gtk+3-$VERSION